List owned and joined projects
Requires a user JWT with the admin role.
Authorization
AdminJWT AuthorizationBearer <token>
User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.
In: header
Path Parameters
id*integer
Range
0 <= valueQuery Parameters
page?integer
Default
1Range
1 <= valuelimit?integer
Default
20Range
1 <= value <= 100search?string
relationship?string
Value in
"owned" | "joined"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.hisend.app/v1/admin/users/0/projects"{
"projects": [
{
"id": 0,
"user_id": 0,
"reputation_score": 0,
"bounced": 0,
"failed": 0,
"complained": 0,
"name": "string",
"created_at": "string",
"updated_at": "string",
"is_locked": true,
"allow_hisend_mta": true,
"plan_id": 1,
"admin_plan_id": 1,
"polar_subscription_id": "string",
"polar_subscription_status": "string",
"polar_product_id": "string",
"admin_subscription_status": "string",
"plan": {
"id": 0,
"max_domains": 0,
"max_users": 0,
"max_mails_per_day": 0,
"max_mails_per_month": 0,
"name": "string",
"description": "string",
"support_level": "string",
"polar_product_id": "string",
"created_at": "string",
"updated_at": "string",
"price": 0,
"is_active": true
}
}
],
"total": 0
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}